LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   XINE in 64-13.37 - No VDPAU driver? (https://www.linuxquestions.org/questions/slackware-14/xine-in-64-13-37-no-vdpau-driver-881471/)

ahmadj 05-18-2011 02:08 PM

XINE in 64-13.37 - No VDPAU driver?
 
As the title says, I don't see a 'VDPAU' option for video driver, in XINE config?

I have installed Nvidia proprietary drivers (260.something) and XINE user level is set to 'Master of the known universe'...

ponce 05-18-2011 02:27 PM

vdpau is unsupported by the stable xine.
but you can try building the 1.2 branch (you need also libvdpau).

ponce 05-18-2011 03:09 PM

tried now for fun and it works pretty fine! :)

applied this diff to xine-lib.SlackBuild (the tarball I used in tar.xz format -done getting sources from mercurial- is here)
Code:

--- xine-lib.SlackBuild.orig    2010-11-06 22:02:33.000000000 +0100
+++ xine-lib.SlackBuild 2011-05-18 22:03:13.000000000 +0200
@@ -22,11 +22,11 @@
 
 
 # Version on the tarball
-VERSION=1.1.19
+VERSION=20110517_e19e8b0
 # Version used in the source directory to cd into
-DIRVER=1.1.19
+DIRVER=20110517_e19e8b0
 # Version used for the Slackware package
-PKGVER=1.1.19
+PKGVER=20110517_e19e8b0
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -72,7 +72,7 @@
  -exec chmod 644 {} \;
 
 XINE_BUILD=$TARGET \
-./configure \
+sh autogen.sh \
  --prefix=/usr \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --docdir=/usr/doc/xine-lib-$VERSION \
@@ -80,6 +80,8 @@
  --with-w32-path=/usr/lib${LIBDIRSUFFIX}/codecs \
  --with-arts \
  --disable-nosefart \
+  --disable-vcd \
+  --disable-musepack \
  --without-speex
 
 make $NUMJOBS || make || exit 1

(needed also the last two configure options here)

and this other to xine-ui (the tarball I used in tar.xz format is here)
Code:

--- xine-ui.SlackBuild.orig    2010-02-25 21:12:30.000000000 +0100
+++ xine-ui.SlackBuild  2011-05-18 22:09:10.000000000 +0200
@@ -24,7 +24,7 @@
 VERSION=${VERSION:-$(echo xine-ui-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 # I would use "-march=i486 -mcpu=i686" here as usual, but with XINE it's all or nothing.
 # I'd rather have it work well for the i686/Athlon crowd than suck for everyone.
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -47,11 +47,9 @@
 
 cd $TMP
 rm -rf xine-ui-$VERSION
-tar xvf $CWD/xine-ui-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/xine-ui-$VERSION.tar.?z* || exit 1
 cd xine-ui-$VERSION || exit 1
 
-zcat $CWD/xine-ui.png14.diff.gz | patch -p1 --verbose || exit 1
-
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,10 +58,11 @@
  -exec chmod 644 {} \;
 
 XINE_BUILD=$TARGET \
-./configure \
+sh autogen.sh \
  --prefix=/usr \
  --with-aalib \
  --with-caca \
+  --mandir=/usr/man \
  --build=$TARGET
 
 make $NUMJOBS || make || exit 1

Quote:

Originally Posted by ahmadj (Post 4360192)
user level is set to 'Master of the known universe'...

http://www.youtube.com/watch?v=f0fSd4-8Tys

ahmadj 05-19-2011 05:55 AM

Ponce to the rescue again! Thanks.

Not much of a Family Guy fan myself.. more Futurama :)

ahmadj 05-29-2011 01:34 PM

I can't seem to get your diffs working.. any way you could paste the full slackbuilds? Sorry to be a pain.

Thanks

ponce 05-29-2011 03:33 PM

no prob, they're here. :)


All times are GMT -5. The time now is 10:31 AM.